gr::gfdm::short_burst_shaper_impl Class Reference

`#include <short_burst_shaper_impl.h>`

Inheritance diagram for gr::gfdm::short_burst_shaper_impl:
[legend]

## Public Member Functions

| short_burst_shaper_impl (int pre_padding, int post_padding, const std::string &length_tag_name)
| ~short_burst_shaper_impl ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::short_burst_shaper
typedef boost::shared_ptr< short_burst_shaper > | sptr
Static Public Member Functions inherited from gr::gfdm::short_burst_shaper
static sptr | make (int pre_padding, int post_padding, const std::string &length_tag_name="packet_len")
| Return a shared_ptr to a new instance of gfdm::short_burst_shaper.

## Constructor & Destructor Documentation

## short_burst_shaper_impl()

gr::gfdm::short_burst_shaper_impl::short_burst_shaper_impl | ( | int | pre_padding,
|  | int | post_padding,
|  | const std::string & | length_tag_name
| ) |  |

## ~short_burst_shaper_impl()

gr::gfdm::short_burst_shaper_impl::~short_burst_shaper_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::gfdm::short_burst_shaper_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## work()

int gr::gfdm::short_burst_shaper_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- short_burst_shaper_impl.h